{ pkgs ? import <nixpkgs> { config = { }; overlays = [ ]; } }:
let
  lemacs = emacsWithPackages (epkgs:
    (with epkgs.melpaPackages;
    [ ess ]
    ) ++
    (with epkgs.orgPackages; [ org-plus-contrib ])
  );

  tex = pkgs.texlive.combine {
    inherit (texlive)

      scheme-small
      latexmk
      epstopdf

      ;
  };

  gitignoreSource = pkgs.nix-gitignore.gitignoreFilterSourcePure (_: _: true);

in
pkgs.stdenv.mkDerivation {

  name = "document";

  src = gitignoreSource ./.gitignore ./.;

  buildInputs = [
    # Emacs -- necessary for building tex file
    lemacs
    tex
  ];

  buildPhase = "make";

  # meta = with lib; {
  #   description = "Description";
  #   licenses = licenses.nonfree;
  #   author = "Name <email>";
  # };
}
